Mark a driver off for a day, or back on
PUT
/drivers/{userId}/days-off/{date}
const url = 'https://example.com/drivers/example/days-off/2026-04-15';const options = { method: 'PUT', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"off":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/drivers/example/days-off/2026-04-15 \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "off": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
date
required
string format: date
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
off
required
boolean
Examplegenerated
{ "off": true}Responses
Section titled “Responses”Everybody off that day, after the change
Media typeapplication/json
object
date
required
string format: date
userIds
required
Array<string>
Examplegenerated
{ "date": "2026-04-15", "userIds": [ "example" ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}